/*
 * ar2c-lp-utils - ar2c.h
 * 	version 0.1.2
 * 
 * 	AR-2c Logger Protocol Client basic commands
 * 
 * Copyright (C) 2005  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: ar2c.h,v 1.5 2005/12/30 19:11:42 krzysiek Exp $
 */

#ifndef AR2C_H_INCLUDED
#define AR2C_H_INCLUDED

#include <ar2c_parser.h>

#include <time.h>
#include <comm.h>

int ar2c_get_date(int ifd, int ofd, struct tm *tm);
int ar2c_get_data_zone(int ifd, int ofd, struct tm *tm, struct tm *tm2);
int ar2c_get_id(int ifd, int ofd);
int do_resync(int ifd, int ofd);
int ar2c_set_speed(int fd, int speed);
const char *ar2c_spd_name(unsigned int id);
int ar2c_spd_count(int ifd, int ofd);
int ar2c_pstart(int ifd, int ofd, unsigned int scheme_id);
int ar2c_pstop(int ifd, int ofd);
int ar2c_pmem(int ifd, int ofd, time_t beg, time_t end, int scheme_id);
int ar2c_lp_info(int ifd, int ofd, struct ar2c_lp_info *dst);

int speedtoar2cspeed(speed_t speed);
int itoar2cspeed(int speed);
int ar2cspeedtoi(int speed);
speed_t ar2cspeedtospeed(int speed);
	
#endif
