/*
 * freetrans - comm.h
 * 	version 0.1
 * 	
 * 	Common TCP/IP Communication
 * 
 * Copyright (C) 2004, 2005, 2006  Krzysztof Mazur <krzysiek@podlesie.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#ifndef COMM_INCLUDED
#define COMM_INCLUDED

#include <termios.h>

#ifndef B230400
#define B230400 (-1)
#endif

#ifndef B460800
#define B460800 (-2)
#endif

#define COMM_PAR_NONE		0
#define COMM_PAR_EVEN		1
#define COMM_PAR_ODD		2
#define COMM_PAR_PAR		3
#define COMM_PAR_CSTOPB		4

int pcomm_open(const char *hostname, const char *port);
int pcomm_close(int fd);
void pcomm_use_nodelay(int nodelay);
void serial_set_speed_o(int fd, speed_t speed, int opts);
void serial_set_speed(int fd, speed_t speed);
speed_t itospeed(int speed);

#endif
